Subject: Re: bug#21069: 2014-11-28; combination of hyperref, preview and \sfrac (from xfrac) + refstepcounter makes an error when previewing

From: Nicolas Richard <[email-masked]>
Date: Thu, 16 Jul 2015 11:39:11 +0200

Hi,

Le 16/07/2015 10:09, Tassilo Horn a écrit :
> I guess you have a good reason not to use `TeX-PDF-mode' I guess, right?
> (With that, the previews work.)

Well, the usual : "pstricks" (I tried using pdflatex with the pdf option
to pstricks and allow shell-escape, but there was another problem then.
Don't remember what it was. The document is longish so all sorts
of things happen.)

I now use:
    \ifPreview
    \PassOptionsToPackage{hypertex}{hyperref}
    \fi
    \usepackage{hyperref}
which seems to work ok. Not sure what will break next, but meanwhile my
usecase is covered.

So it's now mostly about "is this a bug that should be fixed ?" and
"where should the fix go ?". I thought it was nice to have an MWE for
this kind of error but maybe preview isn't the problem, maybe it's
hyperref, maybe it's xfrac, maybe it's pluto. IDK.

Btw I have another one, involving pgf and pstricks-add instead of
hyperref. The ghostscript error for this one is "/undefined in pgfo" :

--8<---------------cut here---------------start------------->8---
%% this document is an example of a problem when using tikz, pstricks-add and
%% preview. Trying to preview it won't work.

\documentclass{article}
\iffalse % true = works, false = fails.
\usepackage{pstricks-add}
\usepackage{tikz}
\else
\usepackage{tikz}
\usepackage{pstricks-add}
\fi
\usepackage{preview}
\newenvironment{exo}{}{}
\PreviewEnvironment{exo}

\begin{document}
\begin{exo}
\begin{tikzpicture}
  \draw[fill] (3,1) circle (10pt);
\end{tikzpicture}
\end{exo}
\end{document}
--8<---------------cut here---------------end--------------->8---

-- 
Nico.